package com.pms.ocp.service;


import com.baomidou.mybatisplus.extension.api.R;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.pms.ocp.common.config.PageParam;
import com.pms.ocp.model.dto.ApiTreeGroupDto;
import com.pms.ocp.model.dto.OcpApiGroupDtos;
import com.pms.ocp.model.entity.OcpApiGroup;
import com.pms.ocp.model.vo.ResponseVO;

import java.util.List;


public interface OcpApiTreeService extends IService<OcpApiGroup> {

    /**
     * 服务树分类
     */
    ApiTreeGroupDto getByGroup();

    /**
     * 新增服务分类
     */
    boolean insertTree(OcpApiGroupDtos ocpApiGroupDtos);


      /*
      修改服务分类
       */


    boolean updataOcpTree(OcpApiGroup ocpApiGroup);

    /**
     * 删除服务分类
     */
    boolean deleteOcpTree(OcpApiGroup ocpApiGroup);

    /**
     * 服务列表分级查询
     * @param
     */
    List<OcpApiGroup>  getOnePage(int pageSize, int pageNum, int apiGroupLevel);


}
